<!DOCTYPE html>

<html lang="en" xmlns:th="http://www.thymeleaf.org"
		xmlns:sec="http://www.thymeleaf.org/thymeleaf-extras-springsecurity5"><head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="description" content="">
    <meta name="author" content="Mark Otto, Jacob Thornton, and Bootstrap contributors">
    <meta name="generator" content="Jekyll v3.8.6">
    <title>Achievents</title>
    

    <link rel="canonical" href="https://getbootstrap.com/docs/4.4/examples/jumbotron/">
	
	<!-- Bootstrap CSS -->
	<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css" integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">
	
    <!-- Bootstrap core CSS -->
<link href="/docs/4.4/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">

    <!-- Favicons -->
<link rel="apple-touch-icon" href="/docs/4.4/assets/img/favicons/apple-touch-icon.png" sizes="180x180">
<link rel="icon" href="/docs/4.4/assets/img/favicons/favicon-32x32.png" sizes="32x32" type="image/png">
<link rel="icon" href="/docs/4.4/assets/img/favicons/favicon-16x16.png" sizes="16x16" type="image/png">
<link rel="manifest" href="/docs/4.4/assets/img/favicons/manifest.json">
<link rel="mask-icon" href="/docs/4.4/assets/img/favicons/safari-pinned-tab.svg" color="#563d7c">
<link rel="icon" href="/docs/4.4/assets/img/favicons/favicon.ico">

<script src="//ajax.googleapis.com/ajax/libs/jquery/1.11.0/jquery.min.js"></script>
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
<script src="//netdna.bootstrapcdn.com/bootstrap/3.1.1/js/bootstrap.min.js"></script>
<link rel="stylesheet" type="text/css" href="//netdna.bootstrapcdn.com/bootstrap/3.1.1/css/bootstrap.min.css">

<meta name="msapplication-config" content="/docs/4.4/assets/img/favicons/browserconfig.xml">
<meta name="theme-color" content="#563d7c">


    <style>
    
    .negative {
	  border-color: white;
	  color: white;
	}
	
	.negative:hover {
	  background-color: white;
	  color: #343A40;
	}
      .bd-placeholder-img {
        font-size: 1.125rem;
        text-anchor: middle;
        -webkit-user-select: none;
        -moz-user-select: none;
        -ms-user-select: none;
        user-select: none;
      }

      @media (min-width: 768px) {
        .bd-placeholder-img-lg {
          font-size: 3.5rem;
        }
      }
    </style>
    <!-- Custom styles for this template -->
    <link href="jumbotron.css" rel="stylesheet">
  </head>
  <body>
    <nav class="navbar navbar-expand-md navbar-dark fixed-top bg-dark">
  <a class="navbar-brand" href="/">Home</a>
  <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarsExampleDefault" aria-controls="navbarsExampleDefault" aria-expanded="false" aria-label="Toggle navigation">
    <span class="navbar-toggler-icon"></span>
  </button>

  <div class="collapse navbar-collapse" id="navbarsExampleDefault">
    <ul class="navbar-nav mr-auto">
      <li class="nav-item active">
      	<a class="nav-link" sec:authorize="!hasRole('ROLE_STUDENTE')" th:href="@{/offerte/list(username=${#authentication.name})}">Le mie offerte</a>
	  </li>
      <li class="nav-item active">
        <a class="nav-link" sec:authorize="hasRole('ROLE_STUDENTE')" th:href="@{/offerte/candidature(username=${#authentication.name})}">Le mie candidature</a>
      </li>
      <li class="nav-item active">
        <a class="nav-link" sec:authorize="!hasRole('ROLE_STUDENTE')"  th:href="@{/eventi/list(username=${#authentication.name})}">I miei eventi</a>
      </li>
      <li class="nav-item active">
        <a class="nav-link" sec:authorize="hasRole('ROLE_STUDENTE')" th:href="@{/eventi/partecipazioni(username=${#authentication.name})}">I miei eventi</a>
      </li>
      
      
    </ul>
    
    <div style="float: right" class="dropdown my-2 my-lg-0" >
	
		<button type="submit" id="dropdownMenuButton" class="btn dropdown-toggle negative my-2 my-sm-0 mt-2" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
      		<span><i style="font-size:24px;margin-right:7px" class="fa fa-user-circle-o" aria-hidden="true"></i></span><span style="font-size:16px;margin-top:3px">Benvenuto, <span sec:authentication="name"></span></span>
      	</button>
		<div class="dropdown-menu dropdown-menu-right" aria-labelledby="dropdownMenuButton">
			<a class="dropdown-item" th:href="@{/profilo(username=${#authentication.name})}" role="button">Vai al tuo profilo »</a>
	    	<!-- Add a logout button -->
			<form id="logout-form" class="dropdown-item form-inline my-2 my-lg-0" action="#" th:action="@{/logout}" 
					   method="POST">
			
				<a onclick="document.getElementById('logout-form').submit();" type="submit" role="button">Logout »</a>
			
			</form>
			
  		</div>
	</div>
  </div>
</nav>

<main role="main">

  <!-- Main jumbotron for a primary marketing message or call to action -->
  <div class="jumbotron">
    <div class="container">
    	<div sec:authorize="isAuthenticated()">
    	<h1 class="display-3">Benvenuto, <span sec:authentication="name">Username</span></h1>     
		</div>
      
      <p sec:authorize="hasRole('ROLE_UNIVERSITA')" >Su questo sito potrai creare nuovi eventi a cui parteciperanno studenti ed aziende, validare offerte di lavoro e di stage pubblicate dalle aziende più grandi!</p>
      <p sec:authorize="hasRole('ROLE_AZIENDA')" >Su questo sito potrai creare le tue proprie offerte di lavoro a cui si candideranno gli studenti delle Università più prestigiose, oppure partecipare ad eventi universitari!</p>
      <p sec:authorize="hasRole('ROLE_STUDENTE')" >Su questo sito potrai visualizzare e partecipare agli eventi organizzati dalla tua Università! Oppure, se hai bisogno di uno stage/lavoro, potresti accedere alla nostra sezione dedicata alle offerte di lavoro!</p>
      <p><a class="btn btn-primary btn-lg" th:href="@{/profilo(username=${#authentication.name})}" role="button">Vai al tuo profilo »</a></p>
    </div>
  </div>
<br>
  <div class="container">
    <!-- Example row of columns -->
    <div class="row">
    
    <!-- Aziende -->
      <div sec:authorize="hasRole('ROLE_UNIVERSITA')" class="col-md-4">
        <h2>Nuovo evento</h2>
        <p>In questa sezione potrai creare nuovi eventi a cui studenti e aziende potranno partecipare e conoscersi a vicenda! Cosa aspetti ancora?</p>
        <p><a th:href="@{/eventi/showFormForAdd}" class="btn btn-secondary" role="button">Crea Evento »</a></p>
      </div>
      
      <div sec:authorize="!hasRole('ROLE_STUDENTE')" class="col-md-4">
        <h2 sec:authorize="hasRole('ROLE_AZIENDA')">Partecipa agli eventi!</h2>
        <h2 sec:authorize="hasRole('ROLE_UNIVERSITA')">Eventi Universitari</h2>
        <p>In questa sezione potrai visualizzare tutti gli eventi organizzati da tutte le università registrate al sito!</p>
        <p><a class="btn btn-secondary" th:href="@{/eventi/full-list}" role="button">Dettagli »</a></p>
      </div>
      <div sec:authorize="hasRole('ROLE_AZIENDA')" class="col-md-4">
        <h2>Nuova offerta</h2>
        <p>Hai bisogno di dipendenti? In questa sezione potrai creare nuove offerte di lavoro, oppure stage di tipo curriculare o extracurriculare! Potrai scegliere tra tutti gli studenti candidati dell'Università che accetterà questa offerta!</p>
        <p><a th:href="@{/offerte/showFormForAdd}" class="btn btn-secondary" href="#" role="button">Pubblica offerta »</a></p>
      </div>
      <div sec:authorize="!hasRole('ROLE_STUDENTE')" class="col-md-4">
        <h2 sec:authorize="hasRole('ROLE_AZIENDA')">Confronta le offerte!</h2>
        <h2 sec:authorize="hasRole('ROLE_UNIVERSITA')">Offerte di lavoro/stage</h2>
        <p>In questa sezione potrai vedere i dettagli di tutte le offerte di lavoro oppure stage pubbliche da diverse aziende!</p>
        <p><a class="btn btn-secondary" th:href="@{/offerte/full-list}" role="button">Dettagli »</a></p>
      </div>
      
      
      <!-- Studenti -->
      <div sec:authorize="hasRole('ROLE_STUDENTE')" class="col-md-6">
        <h2>Eventi dell'Università</h2>
        <p>Vedi gli eventi disponibili della tua Università e affrettati con l'iscrizione!</p>
        <p><a class="btn btn-secondary" th:href="@{/eventi/list(username=${#authentication.name})}" role="button">Dettagli »</a></p>
      </div>
      <div sec:authorize="hasRole('ROLE_STUDENTE')" class="col-md-6">
        <h2>Offerte dell'Università!</h2>
        <p>Hai bisogno di lavoro oppure ti servono crediti per lo stage? In questa sezione troverai le offerte di lavoro accettate dalla tua Università!</p>
        <p><a th:href="@{/offerte/list(username=${#authentication.name})}" class="btn btn-secondary" role="button">Dettagli »</a></p>
      </div>
    </div>

    <hr>

  </div> <!-- /container -->

</main>

<footer class="container">
  <p>© Company 2017-2019</p>
</footer>
<script src="https://code.jquery.com/jquery-3.4.1.slim.min.js" integrity="sha384-J6qa4849blE2+poT4WnyKhv5vZF5SrPo0iEjwBvKU7imGFAV0wwj1yYfoRSJoZ+n" crossorigin="anonymous"></script>
      <script>window.jQuery || document.write('<script src="/docs/4.4/assets/js/vendor/jquery.slim.min.js"><\/script>')</script><script src="/docs/4.4/dist/js/bootstrap.bundle.min.js" integrity="sha384-6khuMg9gaYr5AxOqhkVIODVIvm9ynTT5J4V1cfthmT+emCG6yVmEZsRHdxlotUnm" crossorigin="anonymous"></script>

</body></html>

